#ifndef SKILL_EFFECTS_H
#define SKILL_EFFECTS_H

#include<vector>

enum Target 
{ 
    self = 0,
    ally = 1,
    enemy = 2,
    all = 3
};

enum Effect
{
    damage = 0,
    heal = 1,
    buff = 2,
    reflect = 3,
    destroyProjectiles = 4,
    dodge = 5,
    //field = 6 doesn't make sense, fiels needs effects
};

enum ComboField
{

};

enum ComboFinisher
{

};

enum SkillType
{
    hit = 0,
    dash = 1,
    projectile = 2,
    targeted = 3,   //teleports, aoes like lava font
    shroud = 4,
    summoning = 5
};

enum Area
{
    rectangle = 0,
    circle = 1,
    semi_circle = 2 //sword hit in front of character
};

enum SkillType
{
    //hit = 0,
    dash = 1,
    //jump = 2,
    teleport = 3,
    projectile = 4,
    roundAoE = 5,
    rectangleAoE = 6,
    hitAoE = 7,
    shroud = 8,
    summoning = 9
};

enum Aim
{
    self = 0,
    mouse = 1, //targeted enemy if one is targeted
    backwards = 2, //away from targeted enemy
    moveDirection = 3,
    closestTarget = 4
};

enum Buffs
{
    //raise / lower
    //percentage / value
};

enum Attributes
{
    piercing,
    rooting
};

//dazed, stunned,... ???

struct HitAoE //hit an enemy with a sword in front of you
{
    int radius;
    int angle; 
};

struct RoundAoE 
{
    int radius;
};

struct RectangleAoE
{
    int width;
    int lengt;
};

/*
TODO: 3 projectiles (fire 1), 2 hits (air 1)
*/

struct SkillEffect
{
    Target target;
    Effect effect;
    Area area; //maybe better in Dash?
    int effect_value; //damage or heal modifier, buff id, 
    int duration;
    //damage?
    //buff? how? -> buffId?
    //aoe?
};

struct Dash
{
    int speed;
    int distance;
    std::vector<SkillEffect> dash_effects;
    std::vector<SkillEffect> end_effects;
    //an effect can be a skill? like shoot projectile at the end of a dash
};

struct Teleport
{

};

struct Projectile
{
    int speed;
    int distance;
};

struct Shroud
{

};

#endif