#ifndef MOVE_LEFT_COMMAND_H
#define MOVE_LEFT_COMMAND_H

#include "GameCommand.h"
#include "../DataStructures/DirectionButtonStatus.h"

class MoveLeftCommand : public GameCommand
{
public:
    MoveLeftCommand(DirectionButtonStatus & buttonStatus) : m_ButtonStatus(&buttonStatus) {};
    void Down() override { m_ButtonStatus->LeftPressed = true;}
    void Up() override { m_ButtonStatus->LeftPressed = false;;}
private:
    DirectionButtonStatus * m_ButtonStatus;
};

#endif