#ifndef MOVE_RIGHT_COMMAND_H
#define MOVE_RIGHT_COMMAND_H

#include "GameCommand.h"
#include "../DataStructures/DirectionButtonStatus.h"

class MoveRightCommand : public GameCommand
{
public:
    MoveRightCommand(DirectionButtonStatus & buttonStatus) : m_ButtonStatus(&buttonStatus) {};
    void Down() override { m_ButtonStatus->RightPressed = true;}
    void Up() override { m_ButtonStatus->RightPressed = false;;}
private:
    DirectionButtonStatus * m_ButtonStatus;
};

#endif