#ifndef MOVE_Y_COMMAND_H
#define MOVE_Y_COMMAND_H


#include "AxisCommand.h"
#include <SDL3/SDL.h>

class MoveYCommand : public AxisCommand
{
public:
    MoveYCommand(SDL_FPoint & directionInput) : m_directionInput(&directionInput){};
    ~MoveYCommand() {};
    void Execute(float value) override { m_directionInput->y = value;}
private:
    SDL_FPoint * m_directionInput;
};



#endif