#ifndef MAP_FILE_H
#define MAP_FILE_H

#include <vector>
#include <string>
#include <map>

struct TileMapFile
{
    std::string file_name;
    std::string material1;
    std::string material2;
};

class MapFile
{
public:


private:
    std::vector<TileMapFile> file_map_;
    std::map<int8_t, std::string> material_map_;
    int16_t size_x_;
    int16_t size_y_;
    int8_t * map_;
};



#endif