#include "Vector2D.h"
#include <SDL3/SDL.h>

Vector2D& Vector2D::operator+=(const Vector2D& rhs)
{
    x += rhs.x;
    y += rhs.y;
    return *this;
}
 
Vector2D operator+(Vector2D lhs, const Vector2D& rhs)
{
    lhs += rhs;
    return lhs;
}

Vector2D& Vector2D::operator-=(const Vector2D& rhs)
{
    x -= rhs.x;
    y -= rhs.y;
    return *this;
}
 
Vector2D operator-(Vector2D lhs, const Vector2D& rhs)
{
    lhs -= rhs;
    return lhs;
}

Vector2D& Vector2D::operator*=(const float& rhs)
{
    x *= rhs;
    y *= rhs;
    return *this;
}
 
Vector2D operator*(Vector2D lhs, const float& rhs)
{
    lhs *= rhs;
    return lhs;
}

Vector2D& Vector2D::operator/=(const float& rhs)
{
    x /= rhs;
    y /= rhs;
    return *this;
}
 
Vector2D operator/(Vector2D lhs, const float& rhs)
{
    lhs /= rhs;
    return lhs;
}